Index: uspace/lib/usbdev/src/altiface.c
===================================================================
--- uspace/lib/usbdev/src/altiface.c	(revision 850fd32a6ced0b28470d7b2100d44accba1dce89)
+++ uspace/lib/usbdev/src/altiface.c	(revision 3cf22f98e8b62fe3239495266885864a48c85a80)
@@ -69,6 +69,6 @@
 	while (iface_ptr != NULL) {
 		const usb_standard_interface_descriptor_t *iface = iface_ptr;
-		if (iface->descriptor_type == USB_DESCTYPE_INTERFACE
-		    && iface->interface_number == interface_no) {
+		if (iface->descriptor_type == USB_DESCTYPE_INTERFACE &&
+		    iface->interface_number == interface_no) {
 			++alternate_count;
 		}
@@ -134,6 +134,6 @@
 		const usb_standard_interface_descriptor_t *iface = iface_ptr;
 
-		if ((iface->descriptor_type != USB_DESCTYPE_INTERFACE)
-		    || (iface->interface_number != interface_number)) {
+		if ((iface->descriptor_type != USB_DESCTYPE_INTERFACE) ||
+		    (iface->interface_number != interface_number)) {
 			/* This is not a valid alternate interface descriptor
 			 * for interface with number == interface_number. */
Index: uspace/lib/usbdev/src/devdrv.c
===================================================================
--- uspace/lib/usbdev/src/devdrv.c	(revision 850fd32a6ced0b28470d7b2100d44accba1dce89)
+++ uspace/lib/usbdev/src/devdrv.c	(revision 3cf22f98e8b62fe3239495266885864a48c85a80)
@@ -394,5 +394,5 @@
 }
 
-const usb_alternate_interfaces_t * usb_device_get_alternative_ifaces(
+const usb_alternate_interfaces_t *usb_device_get_alternative_ifaces(
     usb_device_t *usb_dev)
 {
@@ -547,5 +547,5 @@
 }
 
-usb_device_t * usb_device_create(devman_handle_t handle)
+usb_device_t *usb_device_create(devman_handle_t handle)
 {
 	usb_device_t *usb_dev = malloc(sizeof(usb_device_t));
@@ -562,5 +562,5 @@
 	}
 
-	const char* dummy = NULL;
+	const char *dummy = NULL;
 	ret = usb_device_init(usb_dev, NULL, NULL, &dummy);
 	if (ret != EOK) {
@@ -588,5 +588,5 @@
 
 ddf_fun_t *usb_device_ddf_fun_create(usb_device_t *usb_dev, fun_type_t ftype,
-    const char* name)
+    const char *name)
 {
 	assert(usb_dev);
@@ -596,5 +596,5 @@
 }
 
-async_exch_t * usb_device_bus_exchange_begin(usb_device_t *usb_dev)
+async_exch_t *usb_device_bus_exchange_begin(usb_device_t *usb_dev)
 {
 	assert(usb_dev);
@@ -612,5 +612,5 @@
  * @return Pointer to the newly allocated space, NULL on failure.
  */
-void * usb_device_data_alloc(usb_device_t *usb_dev, size_t size)
+void *usb_device_data_alloc(usb_device_t *usb_dev, size_t size)
 {
 	assert(usb_dev);
@@ -620,5 +620,5 @@
 }
 
-void * usb_device_data_get(usb_device_t *usb_dev)
+void *usb_device_data_get(usb_device_t *usb_dev)
 {
 	assert(usb_dev);
Index: uspace/lib/usbdev/src/devpoll.c
===================================================================
--- uspace/lib/usbdev/src/devpoll.c	(revision 850fd32a6ced0b28470d7b2100d44accba1dce89)
+++ uspace/lib/usbdev/src/devpoll.c	(revision 3cf22f98e8b62fe3239495266885864a48c85a80)
@@ -139,11 +139,11 @@
 				    polling,
 				    usb_debug_str_buffer(polling->buffer,
-				        actual_size, 16),
+				    actual_size, 16),
 				    actual_size);
 			}
 		} else {
-				usb_log_debug(
-				    "Poll%p: polling failed: %s.\n",
-				    polling, str_error(rc));
+			usb_log_debug(
+			    "Poll%p: polling failed: %s.\n",
+			    polling, str_error(rc));
 		}
 
@@ -241,6 +241,6 @@
 		return EINVAL;
 
-	if (!polling->ep_mapping || (polling->ep_mapping->pipe.desc.transfer_type != USB_TRANSFER_INTERRUPT)
-	    || (polling->ep_mapping->pipe.desc.direction != USB_DIRECTION_IN))
+	if (!polling->ep_mapping || (polling->ep_mapping->pipe.desc.transfer_type != USB_TRANSFER_INTERRUPT) ||
+	    (polling->ep_mapping->pipe.desc.direction != USB_DIRECTION_IN))
 		return EINVAL;
 
Index: uspace/lib/usbdev/src/dp.c
===================================================================
--- uspace/lib/usbdev/src/dp.c	(revision 850fd32a6ced0b28470d7b2100d44accba1dce89)
+++ uspace/lib/usbdev/src/dp.c	(revision 3cf22f98e8b62fe3239495266885864a48c85a80)
@@ -246,6 +246,6 @@
     const uint8_t *parent, const uint8_t *sibling)
 {
-	if (!is_valid_descriptor_pointer(data, parent)
-	    || !is_valid_descriptor_pointer(data, sibling)) {
+	if (!is_valid_descriptor_pointer(data, parent) ||
+	    !is_valid_descriptor_pointer(data, sibling)) {
 		return NULL;
 	}
@@ -260,5 +260,5 @@
 	int possible_sibling_type = get_descriptor_type(data, possible_sibling);
 	if (is_nested_descriptor_type(parser,
-		    possible_sibling_type, parent_type)) {
+	    possible_sibling_type, parent_type)) {
 		return possible_sibling;
 	} else {
@@ -313,6 +313,6 @@
     walk_callback_t callback, void *arg)
 {
-	if ((descriptors == NULL) || (descriptors_size == 0)
-	    || (descriptor_nesting == NULL) || (callback == NULL)) {
+	if ((descriptors == NULL) || (descriptors_size == 0) ||
+	    (descriptor_nesting == NULL) || (callback == NULL)) {
 		return;
 	}
Index: uspace/lib/usbdev/src/pipesinit.c
===================================================================
--- uspace/lib/usbdev/src/pipesinit.c	(revision 850fd32a6ced0b28470d7b2100d44accba1dce89)
+++ uspace/lib/usbdev/src/pipesinit.c	(revision 3cf22f98e8b62fe3239495266885864a48c85a80)
@@ -136,17 +136,17 @@
 {
 	while (mapping_count > 0) {
-		bool interface_number_fits = (mapping->interface_no < 0)
-		    || (mapping->interface_no == interface_number);
-
-		bool interface_setting_fits = (mapping->interface_setting < 0)
-		    || (mapping->interface_setting == interface_setting);
+		bool interface_number_fits = (mapping->interface_no < 0) ||
+		    (mapping->interface_no == interface_number);
+
+		bool interface_setting_fits = (mapping->interface_setting < 0) ||
+		    (mapping->interface_setting == interface_setting);
 
 		bool endpoint_descriptions_fits = endpoint_fits_description(
 		    mapping->description, found_endpoint);
 
-		if (interface_number_fits
-		    && interface_setting_fits
-		    && endpoint_descriptions_fits
-		    && !mapping->present) {
+		if (interface_number_fits &&
+		    interface_setting_fits &&
+		    endpoint_descriptions_fits &&
+		    !mapping->present) {
 			return mapping;
 		}
@@ -240,5 +240,5 @@
 			/* Check if companion descriptor is present too, it should immediatelly follow. */
 			const uint8_t *companion_desc = usb_dp_get_nested_descriptor(parser,
-				parser_data, descriptor);
+			    parser_data, descriptor);
 			if (companion_desc && !is_superspeed_companion_descriptor(companion_desc)) {
 				/* Not what we wanted, don't pass it further. */
@@ -248,9 +248,9 @@
 			(void) process_endpoint(mapping, mapping_count,
 			    (usb_standard_interface_descriptor_t *)
-			        interface_descriptor,
+			    interface_descriptor,
 			    (usb_standard_endpoint_descriptor_t *)
-			        descriptor,
+			    descriptor,
 			    (usb_superspeed_endpoint_companion_descriptor_t *)
-			        companion_desc,
+			    companion_desc,
 			    bus_session);
 		}
Index: uspace/lib/usbdev/src/request.c
===================================================================
--- uspace/lib/usbdev/src/request.c	(revision 850fd32a6ced0b28470d7b2100d44accba1dce89)
+++ uspace/lib/usbdev/src/request.c	(revision 3cf22f98e8b62fe3239495266885864a48c85a80)
@@ -151,6 +151,6 @@
 
 	const usb_device_request_setup_packet_t setup_packet = {
-		.request_type = SETUP_REQUEST_TYPE_DEVICE_TO_HOST
-		    | (request_type << 5) | recipient,
+		.request_type = SETUP_REQUEST_TYPE_DEVICE_TO_HOST |
+		    (request_type << 5) | recipient,
 		.request = request,
 		.value = uint16_host2usb(value),
@@ -299,5 +299,5 @@
  * @return
  */
-errno_t usb_request_get_descriptor_alloc(usb_pipe_t * pipe,
+errno_t usb_request_get_descriptor_alloc(usb_pipe_t *pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
     uint8_t descriptor_type, uint8_t descriptor_index,
@@ -599,6 +599,6 @@
     uint8_t configuration_value)
 {
-	const uint16_t config_value
-	    = uint16_host2usb((uint16_t) configuration_value);
+	const uint16_t config_value =
+	    uint16_host2usb((uint16_t) configuration_value);
 
 	return usb_control_request_set(pipe,
@@ -709,6 +709,6 @@
 		/* FIXME: is this really correct? */
 		const uint16_t lang_code =
-		    (string_descriptor[2 + 2 * i + 1] << 8)
-		    + string_descriptor[2 + 2 * i];
+		    (string_descriptor[2 + 2 * i + 1] << 8) +
+		    string_descriptor[2 + 2 * i];
 		langs[i] = uint16_usb2host(lang_code);
 	}
@@ -717,5 +717,5 @@
 
 	*languages_ptr = langs;
-	*languages_count =langs_count;
+	*languages_count = langs_count;
 
 	return EOK;
@@ -795,6 +795,6 @@
 	 */
 	for (size_t i = 0; i < string_char_count; i++) {
-		const uint16_t uni_char = (string[2 + 2 * i + 1] << 8)
-		    + string[2 + 2 * i];
+		const uint16_t uni_char = (string[2 + 2 * i + 1] << 8) +
+		    string[2 + 2 * i];
 		string_chars[i] = uni_char;
 	}
